Package org.eclipse.jdt.ui.wizards

# Class NewAnnotationWizardPage

java.lang.Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.wizard.WizardPage
org.eclipse.jdt.ui.wizards.NewElementWizardPage
org.eclipse.jdt.ui.wizards.NewContainerWizardPage
org.eclipse.jdt.ui.wizards.NewTypeWizardPage
org.eclipse.jdt.ui.wizards.NewAnnotationWizardPage

All Implemented Interfaces:
  `IDialogPage`, `IMessageProvider`, `IWizardPage`

public class NewAnnotationWizardPage extends NewTypeWizardPage
Wizard page to create a new annotation type.

Note: This class is not intended to be subclassed, but clients can instantiate. To implement a different kind of a new annotation wizard page, extend `NewTypeWizardPage`.

Since:
  3.1
Restriction:
  This class is not intended to be subclassed by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jdt.ui.wizards.NewTypeWizardPage

`NewTypeWizardPage.ImportsManager`

## Field Summary

### Fields inherited from class org.eclipse.jdt.ui.wizards.NewTypeWizardPage

`ANNOTATION_TYPE, CLASS_TYPE, ENCLOSING, ENCLOSINGSELECTION, ENUM_TYPE, F_ABSTRACT, F_FINAL, F_PRIVATE, F_PROTECTED, F_PUBLIC, F_STATIC, fAddCommentButton, fEnclosingTypeStatus, fModifierStatus, fPackageStatus, fSealedModifierStatus, fSealedSuperClassStatus, fSealedSuperInterfacesStatus, fSuperClassStatus, fSuperInterfacesStatus, fTypeNameStatus, INTERFACE_TYPE, INTERFACES, METHODS, MODIFIERS, PACKAGE, RECORD_TYPE, SEALEDMODIFIERS, SUPER, TYPENAME`

### Fields inherited from class org.eclipse.jdt.ui.wizards.NewContainerWizardPage

`CONTAINER, fContainerStatus`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`NewAnnotationWizardPage()`
Create a new `NewAnnotationWizardPage`

## Method Summary

Modifier and Type
Method
Description
`protected IStatus`
`containerChanged()`
This method is a hook which gets called after the source folder's text input field has changed.
`void`
`createControl(Composite parent)`
`protected void`
`createTypeMembers(IType newType, NewTypeWizardPage.ImportsManager imports, IProgressMonitor monitor)`
Hook method that gets called from `createType` to support adding of unanticipated methods, fields, and inner types to the created type.
`protected void`
`handleFieldChanged(String fieldName)`
Hook method that gets called when a field on this page has changed.
`void`
`init(IStructuredSelection selection)`
The wizard owning this page is responsible for calling this method with the current selection.
`void`
`setVisible(boolean visible)`
`protected IStatus`
`typeNameChanged()`
Hook method that gets called when the type name has changed.

### Methods inherited from class org.eclipse.jdt.ui.wizards.NewTypeWizardPage

`addSuperInterface, addSuperInterface, chooseEnclosingType, choosePackage, chooseSuperClass, chooseSuperInterfaces, constructCUContent, createCommentControls, createCommentWithLinkControls, createEnclosingTypeControls, createInheritedMethods, createMainMethod, createModifierControls, createPackageControls, createSeparator, createSuperClassControls, createSuperInterfacesControls, createType, createTypeNameControls, enableCommentControl, enclosingTypeChanged, getCompilationUnitName, getCreatedType, getEnclosingType, getEnclosingTypeLabel, getEnclosingTypeText, getFileComment, getFileComment, getModifiedResource, getModifiers, getModifiersLabel, getPackageFragment, getPackageLabel, getPackageText, getRunnable, getSealedModifierStatus, getSealedSuperClassStatus, getSealedSuperInterfaceStatus, getSuperClass, getSuperClassLabel, getSuperClassStatus, getSuperInterfaces, getSuperInterfacesLabel, getSuperInterfaceStatus, getTemplate, getTemplate, getTypeComment, getTypeComment, getTypeName, getTypeNameLabel, getUniqueJavaTypeName, initTypePage, isAddComments, isEnclosingTypeSelected, isSuperTypeSealed, modifiersChanged, packageChanged, setAddComments, setEnclosingType, setEnclosingTypeSelection, setFocus, setModifiers, setPackageFragment, setSuperClass, setSuperClass, setSuperInterfaces, setSuperInterfacesList, setTypeName, superClassChanged, superInterfacesChanged, validateSealedSuperInterfacesStatus`

### Methods inherited from class org.eclipse.jdt.ui.wizards.NewContainerWizardPage

`chooseContainer, createContainerControls, getContainerLabel, getCurrentTextSelection, getInitialJavaElement, getJavaProject, getMaxFieldWidth, getPackageFragmentRoot, getPackageFragmentRootText, getWorkspaceRoot, initContainerPage, initContainerPage, setFocusOnContainer, setPackageFragmentRoot`

### Methods inherited from class org.eclipse.jdt.ui.wizards.NewElementWizardPage

`updateStatus, updateStatus`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

### Methods inherited from interface org.eclipse.jface.wizard.IWizardPage

`getMinimumPageSize`

## Constructor Details

### NewAnnotationWizardPage

public NewAnnotationWizardPage()
Create a new `NewAnnotationWizardPage`

## Method Details

### init

public void init(IStructuredSelection selection)
The wizard owning this page is responsible for calling this method with the current selection. The selection is used to initialize the fields of the wizard page.

Parameters:
  `selection` - used to initialize the fields

### containerChanged

protected IStatus containerChanged()
Description copied from class: `NewContainerWizardPage`
This method is a hook which gets called after the source folder's text input field has changed. This default implementation updates the model and returns an error status. The underlying model is only valid if the returned status is OK.

Overrides:
  `containerChanged` in class `NewTypeWizardPage`
Returns:
  the model's error status

### handleFieldChanged

protected void handleFieldChanged(String fieldName)
Description copied from class: `NewContainerWizardPage`
Hook method that gets called when a field on this page has changed. For this page the method gets called when the source folder field changes.

Every sub type is responsible to call this method when a field on its page has changed. Subtypes override (extend) the method to add verification when a own field has a dependency to an other field. For example the class name input must be verified again when the package field changes (check for duplicated class names).

Overrides:
  `handleFieldChanged` in class `NewTypeWizardPage`
Parameters:
  `fieldName` - The name of the field that has changed (field id). For the source folder the field id is `CONTAINER`

### typeNameChanged

protected IStatus typeNameChanged()
Description copied from class: `NewTypeWizardPage`
Hook method that gets called when the type name has changed. The method validates the type name and returns the status of the validation.

Subclasses may extend this method to perform their own validation.

Overrides:
  `typeNameChanged` in class `NewTypeWizardPage`
Returns:
  the status of the validation
Since:
  3.26

### createControl

public void createControl(Composite parent)

### setVisible

public void setVisible(boolean visible)

Specified by:
  `setVisible` in interface `IDialogPage`
Overrides:
  `setVisible` in class `NewElementWizardPage`

### createTypeMembers

protected void createTypeMembers(IType newType, NewTypeWizardPage.ImportsManager imports, IProgressMonitor monitor) throws CoreException
Description copied from class: `NewTypeWizardPage`
Hook method that gets called from `createType` to support adding of unanticipated methods, fields, and inner types to the created type.

Implementers can use any methods defined on `IType` to manipulate the new type.

The source code of the new type will be formatted using the platform's formatter. Needed imports are added by the wizard at the end of the type creation process using the given import manager.

Overrides:
  `createTypeMembers` in class `NewTypeWizardPage`
Parameters:
  `newType` - the new type created via `createType`
  `imports` - an import manager which can be used to add new imports
  `monitor` - a progress monitor to report progress. Must not be `null`
Throws:
  `CoreException` - thrown when creation of the type members failed
See Also:
  - `NewTypeWizardPage.createType(IProgressMonitor)`